### Method

# Gsk Transform to_translate

#### Declaration [src]

    void
    gsk_transform_to_translate (
      GskTransform* self,
      float* out_dx,
      float* out_dy
    )

#### Description [src]

Converts a transform to a translation operation.

`self` must be a 2D transformation. If you are not sure, use

    `gsk_transform_get_category()` >= GSK_TRANSFORM_CATEGORY_2D_TRANSLATE

to check.

#### Parameters

`out_dx`

  Type: `float*`

  Return location for the translation in the x direction.

  The argument will be set by the function.

`out_dy`

  Type: `float*`

  Return location for the translation in the y direction.

  The argument will be set by the function.